config MODULES
	bool
	default y

config HAVE_DOT_CONFIG
	bool
	default y

config TARGET_ramips
	bool
	default y

config TARGET_ramips_mt7621
	bool
	default y

config TARGET_ramips_mt7621_hr06
	bool
	default y

config HAS_SUBTARGETS
	bool
	default y

config TARGET_BOARD
	string
	default "ramips"

config TARGET_SUBTARGET
	string
	default "mt7621"

config TARGET_PROFILE
	string
	default "hr06"

config TARGET_ARCH_PACKAGES
	string
	default "ramips_24kec"

config DEFAULT_TARGET_OPTIMIZATION
	string
	default "-Os -pipe -mno-branch-likely"

config CPU_TYPE
	string
	default "24kec+dsp"

config LINUX_3_10
	bool
	default y

config DEFAULT_8021xd
	bool
	default y

config DEFAULT_ated
	bool
	default y

config DEFAULT_base-files
	bool
	default y

config DEFAULT_block-mount
	bool
	default y

config DEFAULT_btnd
	bool
	default y

config DEFAULT_busybox
	bool
	default y

config DEFAULT_dnsmasq
	bool
	default y

config DEFAULT_dropbear
	bool
	default y

config DEFAULT_eth_mac
	bool
	default y

config DEFAULT_ethstt
	bool
	default y

config DEFAULT_firewall
	bool
	default y

config DEFAULT_fstools
	bool
	default y

config DEFAULT_gpio
	bool
	default y

config DEFAULT_hwnat
	bool
	default y

config DEFAULT_ip6tables
	bool
	default y

config DEFAULT_iptables
	bool
	default y

config DEFAULT_kmod-fs-ntfs
	bool
	default y

config DEFAULT_kmod-fs-vfat
	bool
	default y

config DEFAULT_kmod-ipt-offload
	bool
	default y

config DEFAULT_kmod-nls-base
	bool
	default y

config DEFAULT_kmod-nls-cp437
	bool
	default y

config DEFAULT_kmod-nls-cp850
	bool
	default y

config DEFAULT_kmod-nls-cp936
	bool
	default y

config DEFAULT_kmod-nls-cp950
	bool
	default y

config DEFAULT_kmod-nls-iso8859-1
	bool
	default y

config DEFAULT_kmod-nls-iso8859-15
	bool
	default y

config DEFAULT_kmod-nls-utf8
	bool
	default y

config DEFAULT_kmod-scsi-generic
	bool
	default y

config DEFAULT_kmod-usb-core
	bool
	default y

config DEFAULT_kmod-usb-storage
	bool
	default y

config DEFAULT_kmod-usb3
	bool
	default y

config DEFAULT_libc
	bool
	default y

config DEFAULT_libgcc
	bool
	default y

config DEFAULT_logd
	bool
	default y

config DEFAULT_mii_mgr
	bool
	default y

config DEFAULT_mtd
	bool
	default y

config DEFAULT_netifd
	bool
	default y

config DEFAULT_odhcp6c
	bool
	default y

config DEFAULT_odhcpd-ipv6only
	bool
	default y

config DEFAULT_opkg
	bool
	default y

config DEFAULT_ppp
	bool
	default y

config DEFAULT_ppp-mod-pppoe
	bool
	default y

config DEFAULT_reg
	bool
	default y

config DEFAULT_switch
	bool
	default y

config DEFAULT_uci
	bool
	default y

config DEFAULT_uci2dat
	bool
	default y

config DEFAULT_uclient-fetch
	bool
	default y

config DEFAULT_watchdog
	bool
	default y

config DEFAULT_wireless-tools
	bool
	default y

config AUDIO_SUPPORT
	bool
	default y

config GPIO_SUPPORT
	bool
	default y

config PCI_SUPPORT
	bool
	default y

config USB_SUPPORT
	bool
	default y

config USES_SQUASHFS
	bool
	default y

config HAS_MIPS16
	bool
	default y

config mipsel
	bool
	default y

config ARCH
	string
	default "mipsel"

config EXTERNAL_CPIO
	string
	default ""

config TARGET_ROOTFS_SQUASHFS
	bool
	default y

config TARGET_SQUASHFS_BLOCK_SIZE
	int
	default 256

config TARGET_UBIFS_FREE_SPACE_FIXUP
	bool
	default y

config TARGET_UBIFS_JOURNAL_SIZE
	string
	default ""

config SHADOW_PASSWORDS
	bool
	default y

config KERNEL_BUILD_USER
	string
	default ""

config KERNEL_BUILD_DOMAIN
	string
	default ""

config KERNEL_PRINTK
	bool
	default y

config KERNEL_CRASHLOG
	bool
	default y

config KERNEL_SWAP
	bool
	default y

config KERNEL_DEBUG_FS
	bool
	default y

config KERNEL_KALLSYMS
	bool
	default y

config KERNEL_DEBUG_KERNEL
	bool
	default y

config KERNEL_DEBUG_INFO
	bool
	default y

config KERNEL_COREDUMP
	bool
	default y

config KERNEL_ELF_CORE
	bool
	default y

config KERNEL_PRINTK_TIME
	bool
	default y

config KERNEL_IP_MROUTE
	bool
	default y

config KERNEL_IPV6
	bool
	default y

config KERNEL_IPV6_MULTIPLE_TABLES
	bool
	default y

config KERNEL_IPV6_SUBTREES
	bool
	default y

config KERNEL_IPV6_MROUTE
	bool
	default y

config IPV6
	bool
	default y

config USE_SSTRIP
	bool
	default y

config USE_UCLIBCXX
	bool
	default y

config PKG_CHECK_FORMAT_SECURITY
	bool
	default y

config PKG_CC_STACKPROTECTOR_REGULAR
	bool
	default y

config KERNEL_CC_STACKPROTECTOR_REGULAR
	bool
	default y

config PKG_FORTIFY_SOURCE_1
	bool
	default y

config PKG_RELRO_FULL
	bool
	default y

config BINARY_FOLDER
	string
	default ""

config DOWNLOAD_FOLDER
	string
	default ""

config LOCALMIRROR
	string
	default ""

config AUTOREBUILD
	bool
	default y

config BUILD_SUFFIX
	string
	default ""

config TARGET_ROOTFS_DIR
	string
	default ""

config EXTERNAL_KERNEL_TREE
	string
	default ""

config KERNEL_GIT_CLONE_URI
	string
	default ""

config EXTRA_OPTIMIZATION
	string
	default "-fno-caller-saves -fno-plt"

config TARGET_OPTIMIZATION
	string
	default "-Os -pipe -mno-branch-likely"

config SOFT_FLOAT
	bool
	default y

config USE_MIPS16
	bool
	default y

config EXTRA_BINUTILS_CONFIG_OPTIONS
	string
	default ""

config EXTRA_GCC_CONFIG_OPTIONS
	string
	default ""

config GDB
	bool
	default y

config USE_MUSL
	bool
	default y

config SSP_SUPPORT
	bool
	default y

config BINUTILS_VERSION_2_29_1
	bool
	default y

config BINUTILS_VERSION
	string
	default "2.29.1"

config GCC_VERSION
	string
	default "7.3.0"

config LIBC
	string
	default "musl"

config TARGET_SUFFIX
	string
	default "musl"

config SDK
	bool
	default y

config IMAGEOPT
	bool
	default y

config TARGET_PREINIT_SUPPRESS_STDERR
	bool
	default y

config TARGET_PREINIT_TIMEOUT
	int
	default 2

config TARGET_PREINIT_IFNAME
	string
	default ""

config TARGET_PREINIT_IP
	string
	default "192.168.1.1"

config TARGET_PREINIT_NETMASK
	string
	default "255.255.255.0"

config TARGET_PREINIT_BROADCAST
	string
	default "192.168.1.255"

config TARGET_INIT_PATH
	string
	default "/usr/sbin:/usr/bin:/sbin:/bin"

config TARGET_INIT_ENV
	string
	default ""

config TARGET_INIT_CMD
	string
	default "/sbin/init"

config TARGET_INIT_SUPPRESS_STDERR
	bool
	default y

config VERSIONOPT
	bool
	default y

config VERSION_DIST
	string
	default "JDCOS"

config VERSION_NUMBER
	string
	default "2.1.0.r910"

config VERSION_CODE
	string
	default ""

config VERSION_REPO
	string
	default "http://downloads.openwrt.org/releases/18.06.1"

config VERSION_MANUFACTURER
	string
	default "JDCloud"

config VERSION_MANUFACTURER_URL
	string
	default "https://www.jdcloud.com/"

config VERSION_BUG_URL
	string
	default ""

config VERSION_SUPPORT_URL
	string
	default ""

config VERSION_PRODUCT
	string
	default "HR06"

config VERSION_HWREV
	string
	default ""

config VERSION_FILENAMES
	bool
	default y

config PER_FEED_REPO
	bool
	default y

config FEED_packages
	bool
	default y

config FEED_luci
	bool
	default y

config FEED_routing
	bool
	default y

config FEED_telephony
	bool
	default y

config PACKAGE_base-files
	bool
	default y

config PACKAGE_busybox
	bool
	default y

config BUSYBOX_CUSTOM
	bool
	default y

config BUSYBOX_DEFAULT_HAVE_DOT_CONFIG
	bool
	default y

config BUSYBOX_DEFAULT_INCLUDE_SUSv2
	bool
	default y

config BUSYBOX_DEFAULT_LONG_OPTS
	bool
	default y

config BUSYBOX_DEFAULT_SHOW_USAGE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VERBOSE_USAGE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_COMPRESS_USAGE
	bool
	default y

config BUSYBOX_DEFAULT_LFS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_DEVPTS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_PIDFILE
	bool
	default y

config BUSYBOX_DEFAULT_PID_FILE_PATH
	string
	default "/var/run"

config BUSYBOX_DEFAULT_FEATURE_SUID
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_PREFER_APPLETS
	bool
	default y

config BUSYBOX_DEFAULT_BUSYBOX_EXEC_PATH
	string
	default "/proc/self/exe"

config BUSYBOX_DEFAULT_FEATURE_SYSLOG
	bool
	default y

config BUSYBOX_DEFAULT_PLATFORM_LINUX
	bool
	default y

config BUSYBOX_DEFAULT_CROSS_COMPILER_PREFIX
	string
	default ""

config BUSYBOX_DEFAULT_SYSROOT
	string
	default ""

config BUSYBOX_DEFAULT_EXTRA_CFLAGS
	string
	default ""

config BUSYBOX_DEFAULT_EXTRA_LDFLAGS
	string
	default ""

config BUSYBOX_DEFAULT_EXTRA_LDLIBS
	string
	default ""

config BUSYBOX_DEFAULT_INSTALL_APPLET_SYMLINKS
	bool
	default y

config BUSYBOX_DEFAULT_PREFIX
	string
	default "./_install"

config BUSYBOX_DEFAULT_NO_DEBUG_LIB
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_BUFFERS_GO_ON_STACK
	bool
	default y

config BUSYBOX_DEFAULT_PASSWORD_MINLEN
	int
	default 6

config BUSYBOX_DEFAULT_MD5_SMALL
	int
	default 1

config BUSYBOX_DEFAULT_SHA3_SMALL
	int
	default 1

config BUSYBOX_DEFAULT_FEATURE_FAST_TOP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_EDITING
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_EDITING_MAX_LEN
	int
	default 512

config BUSYBOX_DEFAULT_FEATURE_EDITING_HISTORY
	int
	default 256

config BUSYBOX_DEFAULT_FEATURE_TAB_COMPLETION
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_EDITING_FANCY_PROMPT
	bool
	default y

config BUSYBOX_DEFAULT_SUBST_WCHAR
	int
	default 0

config BUSYBOX_DEFAULT_LAST_SUPPORTED_WCHAR
	int
	default 0

config BUSYBOX_DEFAULT_FEATURE_NON_POSIX_CP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_USE_SENDFILE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_COPYBUF_KB
	int
	default 4

config BUSYBOX_DEFAULT_IOCTL_HEX2STR_ERROR
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_SEAMLESS_GZ
	bool
	default y

config BUSYBOX_DEFAULT_GUNZIP
	bool
	default y

config BUSYBOX_DEFAULT_ZCAT
	bool
	default y

config BUSYBOX_DEFAULT_BUNZIP2
	bool
	default y

config BUSYBOX_DEFAULT_BZCAT
	bool
	default y

config BUSYBOX_DEFAULT_BZIP2_SMALL
	int
	default 0

config BUSYBOX_DEFAULT_FEATURE_BZIP2_DECOMPRESS
	bool
	default y

config BUSYBOX_DEFAULT_GZIP
	bool
	default y

config BUSYBOX_DEFAULT_GZIP_FAST
	int
	default 0

config BUSYBOX_DEFAULT_FEATURE_GZIP_DECOMPRESS
	bool
	default y

config BUSYBOX_DEFAULT_TAR
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TAR_CREATE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TAR_FROM
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TAR_GNU_EXTENSIONS
	bool
	default y

config BUSYBOX_DEFAULT_BASENAME
	bool
	default y

config BUSYBOX_DEFAULT_CAT
	bool
	default y

config BUSYBOX_DEFAULT_CHGRP
	bool
	default y

config BUSYBOX_DEFAULT_CHMOD
	bool
	default y

config BUSYBOX_DEFAULT_CHOWN
	bool
	default y

config BUSYBOX_DEFAULT_CHROOT
	bool
	default y

config BUSYBOX_DEFAULT_CP
	bool
	default y

config BUSYBOX_DEFAULT_CUT
	bool
	default y

config BUSYBOX_DEFAULT_DATE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_DATE_ISOFMT
	bool
	default y

config BUSYBOX_DEFAULT_DD
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_DD_SIGNAL_HANDLING
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_DD_IBS_OBS
	bool
	default y

config BUSYBOX_DEFAULT_DF
	bool
	default y

config BUSYBOX_DEFAULT_DIRNAME
	bool
	default y

config BUSYBOX_DEFAULT_DU
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_DU_DEFAULT_BLOCKSIZE_1K
	bool
	default y

config BUSYBOX_DEFAULT_ECHO
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FANCY_ECHO
	bool
	default y

config BUSYBOX_DEFAULT_ENV
	bool
	default y

config BUSYBOX_DEFAULT_EXPR
	bool
	default y

config BUSYBOX_DEFAULT_EXPR_MATH_SUPPORT_64
	bool
	default y

config BUSYBOX_DEFAULT_FALSE
	bool
	default y

config BUSYBOX_DEFAULT_FSYNC
	bool
	default y

config BUSYBOX_DEFAULT_HEAD
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FANCY_HEAD
	bool
	default y

config BUSYBOX_DEFAULT_ID
	bool
	default y

config BUSYBOX_DEFAULT_LN
	bool
	default y

config BUSYBOX_DEFAULT_LS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_FILETYPES
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_FOLLOWLINKS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_RECURSIVE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_WIDTH
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_SORTFILES
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_TIMESTAMPS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_USERNAME
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_COLOR
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LS_COLOR_IS_DEFAULT
	bool
	default y

config BUSYBOX_DEFAULT_MD5SUM
	bool
	default y

config BUSYBOX_DEFAULT_SHA256SUM
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_MD5_SHA1_SUM_CHECK
	bool
	default y

config BUSYBOX_DEFAULT_MKDIR
	bool
	default y

config BUSYBOX_DEFAULT_MKFIFO
	bool
	default y

config BUSYBOX_DEFAULT_MKNOD
	bool
	default y

config BUSYBOX_DEFAULT_MKTEMP
	bool
	default y

config BUSYBOX_DEFAULT_MV
	bool
	default y

config BUSYBOX_DEFAULT_NICE
	bool
	default y

config BUSYBOX_DEFAULT_PRINTF
	bool
	default y

config BUSYBOX_DEFAULT_PWD
	bool
	default y

config BUSYBOX_DEFAULT_READLINK
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_READLINK_FOLLOW
	bool
	default y

config BUSYBOX_DEFAULT_RM
	bool
	default y

config BUSYBOX_DEFAULT_RMDIR
	bool
	default y

config BUSYBOX_DEFAULT_SEQ
	bool
	default y

config BUSYBOX_DEFAULT_SLEEP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FANCY_SLEEP
	bool
	default y

config BUSYBOX_DEFAULT_SORT
	bool
	default y

config BUSYBOX_DEFAULT_SYNC
	bool
	default y

config BUSYBOX_DEFAULT_TAIL
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FANCY_TAIL
	bool
	default y

config BUSYBOX_DEFAULT_TEE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TEE_USE_BLOCK_IO
	bool
	default y

config BUSYBOX_DEFAULT_TEST
	bool
	default y

config BUSYBOX_DEFAULT_TEST1
	bool
	default y

config BUSYBOX_DEFAULT_TEST2
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TEST_64
	bool
	default y

config BUSYBOX_DEFAULT_TOUCH
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TOUCH_SUSV3
	bool
	default y

config BUSYBOX_DEFAULT_TR
	bool
	default y

config BUSYBOX_DEFAULT_TRUE
	bool
	default y

config BUSYBOX_DEFAULT_UNAME
	bool
	default y

config BUSYBOX_DEFAULT_UNAME_OSNAME
	string
	default "GNU/Linux"

config BUSYBOX_DEFAULT_UNIQ
	bool
	default y

config BUSYBOX_DEFAULT_WC
	bool
	default y

config BUSYBOX_DEFAULT_YES
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_PRESERVE_HARDLINKS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_HUMAN_READABLE
	bool
	default y

config BUSYBOX_DEFAULT_CLEAR
	bool
	default y

config BUSYBOX_DEFAULT_DEFAULT_SETFONT_DIR
	string
	default ""

config BUSYBOX_DEFAULT_RESET
	bool
	default y

config BUSYBOX_DEFAULT_START_STOP_DAEMON
	bool
	default y

config BUSYBOX_DEFAULT_WHICH
	bool
	default y

config BUSYBOX_DEFAULT_AWK
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_AWK_LIBM
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_AWK_GNU_EXTENSIONS
	bool
	default y

config BUSYBOX_DEFAULT_CMP
	bool
	default y

config BUSYBOX_DEFAULT_SED
	bool
	default y

config BUSYBOX_DEFAULT_VI
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_MAX_LEN
	int
	default 1024

config BUSYBOX_DEFAULT_FEATURE_VI_COLON
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_YANKMARK
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_SEARCH
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_USE_SIGNALS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_DOT_CMD
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_READONLY
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_SETOPTS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_SET
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_WIN_RESIZE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_ASK_TERMINAL
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_VI_UNDO_QUEUE_MAX
	int
	default 0

config BUSYBOX_DEFAULT_FEATURE_ALLOW_EXEC
	bool
	default y

config BUSYBOX_DEFAULT_FIND
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_PRINT0
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_MTIME
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_PERM
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_TYPE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_XDEV
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_MAXDEPTH
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_NEWER
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_EXEC
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_USER
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_GROUP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_NOT
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_DEPTH
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_PAREN
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_SIZE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_PRUNE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_PATH
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FIND_REGEX
	bool
	default y

config BUSYBOX_DEFAULT_GREP
	bool
	default y

config BUSYBOX_DEFAULT_EGREP
	bool
	default y

config BUSYBOX_DEFAULT_FGREP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_GREP_CONTEXT
	bool
	default y

config BUSYBOX_DEFAULT_XARGS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_XARGS_SUPPORT_CONFIRMATION
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_XARGS_SUPPORT_QUOTES
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_XARGS_SUPPORT_TERMOPT
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_XARGS_SUPPORT_ZERO_TERM
	bool
	default y

config BUSYBOX_DEFAULT_HALT
	bool
	default y

config BUSYBOX_DEFAULT_POWEROFF
	bool
	default y

config BUSYBOX_DEFAULT_REBOOT
	bool
	default y

config BUSYBOX_DEFAULT_TELINIT_PATH
	string
	default ""

config BUSYBOX_DEFAULT_FEATURE_KILL_DELAY
	int
	default 0

config BUSYBOX_DEFAULT_INIT_TERMINAL_TYPE
	string
	default ""

config BUSYBOX_DEFAULT_FEATURE_SHADOWPASSWDS
	bool
	default y

config BUSYBOX_DEFAULT_LAST_ID
	int
	default 0

config BUSYBOX_DEFAULT_FIRST_SYSTEM_ID
	int
	default 0

config BUSYBOX_DEFAULT_LAST_SYSTEM_ID
	int
	default 0

config BUSYBOX_DEFAULT_FEATURE_DEFAULT_PASSWD_ALGO
	string
	default "md5"

config BUSYBOX_DEFAULT_LOGIN
	bool
	default y

config BUSYBOX_DEFAULT_LOGIN_SESSION_AS_CHILD
	bool
	default y

config BUSYBOX_DEFAULT_PASSWD
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_PASSWD_WEAK_CHECK
	bool
	default y

config BUSYBOX_DEFAULT_DEFAULT_MODULES_DIR
	string
	default ""

config BUSYBOX_DEFAULT_DEFAULT_DEPMOD_FILE
	string
	default ""

config BUSYBOX_DEFAULT_DMESG
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_DMESG_PRETTY
	bool
	default y

config BUSYBOX_DEFAULT_FLOCK
	bool
	default y

config BUSYBOX_DEFAULT_HEXDUMP
	bool
	default y

config BUSYBOX_DEFAULT_HWCLOCK
	bool
	default y

config BUSYBOX_DEFAULT_MKSWAP
	bool
	default y

config BUSYBOX_DEFAULT_MOUNT
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_MOUNT_HELPERS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_MOUNT_CIFS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_MOUNT_FLAGS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_MOUNT_FSTAB
	bool
	default y

config BUSYBOX_DEFAULT_PIVOT_ROOT
	bool
	default y

config BUSYBOX_DEFAULT_SWITCH_ROOT
	bool
	default y

config BUSYBOX_DEFAULT_UMOUNT
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_UMOUNT_ALL
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_MOUNT_LOOP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_BEEP_FREQ
	int
	default 0

config BUSYBOX_DEFAULT_FEATURE_BEEP_LENGTH_MS
	int
	default 0

config BUSYBOX_DEFAULT_CROND
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_CROND_DIR
	string
	default "/etc"

config BUSYBOX_DEFAULT_CRONTAB
	bool
	default y

config BUSYBOX_DEFAULT_LESS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_LESS_MAXLINES
	int
	default 9999999

config BUSYBOX_DEFAULT_LOCK
	bool
	default y

config BUSYBOX_DEFAULT_STRINGS
	bool
	default y

config BUSYBOX_DEFAULT_TIME
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IPV6
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_PREFER_IPV4_ADDRESS
	bool
	default y

config BUSYBOX_DEFAULT_VERBOSE_RESOLUTION_ERRORS
	bool
	default y

config BUSYBOX_DEFAULT_BRCTL
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_BRCTL_FANCY
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_BRCTL_SHOW
	bool
	default y

config BUSYBOX_DEFAULT_IFCONFIG
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IFCONFIG_STATUS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IFCONFIG_HW
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IFCONFIG_BROADCAST_PLUS
	bool
	default y

config BUSYBOX_DEFAULT_IFUPDOWN_IFSTATE_PATH
	string
	default ""

config BUSYBOX_DEFAULT_IP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IP_ADDRESS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IP_LINK
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IP_ROUTE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IP_ROUTE_DIR
	string
	default "/etc/iproute2"

config BUSYBOX_DEFAULT_FEATURE_IP_RULE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_IP_NEIGH
	bool
	default y

config BUSYBOX_DEFAULT_NC
	bool
	default y

config BUSYBOX_DEFAULT_NETMSG
	bool
	default y

config BUSYBOX_DEFAULT_NETSTAT
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_NETSTAT_WIDE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_NETSTAT_PRG
	bool
	default y

config BUSYBOX_DEFAULT_NSLOOKUP_OPENWRT
	bool
	default y

config BUSYBOX_DEFAULT_NTPD
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_NTPD_SERVER
	bool
	default y

config BUSYBOX_DEFAULT_PING
	bool
	default y

config BUSYBOX_DEFAULT_PING6
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_FANCY_PING
	bool
	default y

config BUSYBOX_DEFAULT_ROUTE
	bool
	default y

config BUSYBOX_DEFAULT_TRACEROUTE
	bool
	default y

config BUSYBOX_DEFAULT_TRACEROUTE6
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TRACEROUTE_VERBOSE
	bool
	default y

config BUSYBOX_DEFAULT_DHCPD_LEASES_FILE
	string
	default ""

config BUSYBOX_DEFAULT_UDHCPC
	bool
	default y

config BUSYBOX_DEFAULT_UDHCPC_DEFAULT_SCRIPT
	string
	default "/usr/share/udhcpc/default.script"

config BUSYBOX_DEFAULT_UDHCP_DEBUG
	int
	default 0

config BUSYBOX_DEFAULT_UDHCPC_SLACK_FOR_BUGGY_SERVERS
	int
	default 80

config BUSYBOX_DEFAULT_FEATURE_UDHCP_RFC3397
	bool
	default y

config BUSYBOX_DEFAULT_IFUPDOWN_UDHCPC_CMD_OPTIONS
	string
	default ""

config BUSYBOX_DEFAULT_FEATURE_MIME_CHARSET
	string
	default ""

config BUSYBOX_DEFAULT_FREE
	bool
	default y

config BUSYBOX_DEFAULT_KILL
	bool
	default y

config BUSYBOX_DEFAULT_KILLALL
	bool
	default y

config BUSYBOX_DEFAULT_PGREP
	bool
	default y

config BUSYBOX_DEFAULT_PIDOF
	bool
	default y

config BUSYBOX_DEFAULT_PS
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_PS_WIDE
	bool
	default y

config BUSYBOX_DEFAULT_BB_SYSCTL
	bool
	default y

config BUSYBOX_DEFAULT_TOP
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TOP_CPU_USAGE_PERCENTAGE
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_TOP_CPU_GLOBAL_PERCENTS
	bool
	default y

config BUSYBOX_DEFAULT_UPTIME
	bool
	default y

config BUSYBOX_DEFAULT_SV_DEFAULT_SERVICE_DIR
	string
	default ""

config BUSYBOX_DEFAULT_SH_IS_ASH
	bool
	default y

config BUSYBOX_DEFAULT_BASH_IS_NONE
	bool
	default y

config BUSYBOX_DEFAULT_ASH
	bool
	default y

config BUSYBOX_DEFAULT_ASH_INTERNAL_GLOB
	bool
	default y

config BUSYBOX_DEFAULT_ASH_BASH_COMPAT
	bool
	default y

config BUSYBOX_DEFAULT_ASH_JOB_CONTROL
	bool
	default y

config BUSYBOX_DEFAULT_ASH_ALIAS
	bool
	default y

config BUSYBOX_DEFAULT_ASH_EXPAND_PRMT
	bool
	default y

config BUSYBOX_DEFAULT_ASH_ECHO
	bool
	default y

config BUSYBOX_DEFAULT_ASH_PRINTF
	bool
	default y

config BUSYBOX_DEFAULT_ASH_TEST
	bool
	default y

config BUSYBOX_DEFAULT_ASH_GETOPTS
	bool
	default y

config BUSYBOX_DEFAULT_ASH_CMDCMD
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_SH_MATH
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_SH_MATH_64
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_SH_NOFORK
	bool
	default y

config BUSYBOX_DEFAULT_LOGGER
	bool
	default y

config BUSYBOX_DEFAULT_FEATURE_SYSLOGD_READ_BUFFER_SIZE
	int
	default 0

config BUSYBOX_DEFAULT_FEATURE_IPC_SYSLOG_BUFFER_SIZE
	int
	default 0

config BUSYBOX_CONFIG_HAVE_DOT_CONFIG
	bool
	default y

config BUSYBOX_CONFIG_INCLUDE_SUSv2
	bool
	default y

config BUSYBOX_CONFIG_LONG_OPTS
	bool
	default y

config BUSYBOX_CONFIG_SHOW_USAGE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VERBOSE_USAGE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_COMPRESS_USAGE
	bool
	default y

config BUSYBOX_CONFIG_LFS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_DEVPTS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_PIDFILE
	bool
	default y

config BUSYBOX_CONFIG_PID_FILE_PATH
	string
	default "/var/run"

config BUSYBOX_CONFIG_FEATURE_SUID
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_PREFER_APPLETS
	bool
	default y

config BUSYBOX_CONFIG_BUSYBOX_EXEC_PATH
	string
	default "/proc/self/exe"

config BUSYBOX_CONFIG_FEATURE_SYSLOG
	bool
	default y

config BUSYBOX_CONFIG_PLATFORM_LINUX
	bool
	default y

config BUSYBOX_CONFIG_PIE
	bool
	default y

config BUSYBOX_CONFIG_CROSS_COMPILER_PREFIX
	string
	default ""

config BUSYBOX_CONFIG_SYSROOT
	string
	default ""

config BUSYBOX_CONFIG_EXTRA_CFLAGS
	string
	default ""

config BUSYBOX_CONFIG_EXTRA_LDFLAGS
	string
	default ""

config BUSYBOX_CONFIG_EXTRA_LDLIBS
	string
	default ""

config BUSYBOX_CONFIG_INSTALL_APPLET_SYMLINKS
	bool
	default y

config BUSYBOX_CONFIG_PREFIX
	string
	default "./_install"

config BUSYBOX_CONFIG_NO_DEBUG_LIB
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_BUFFERS_GO_ON_STACK
	bool
	default y

config BUSYBOX_CONFIG_PASSWORD_MINLEN
	int
	default 6

config BUSYBOX_CONFIG_MD5_SMALL
	int
	default 1

config BUSYBOX_CONFIG_SHA3_SMALL
	int
	default 1

config BUSYBOX_CONFIG_FEATURE_FAST_TOP
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_EDITING
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_EDITING_MAX_LEN
	int
	default 512

config BUSYBOX_CONFIG_FEATURE_EDITING_HISTORY
	int
	default 256

config BUSYBOX_CONFIG_FEATURE_TAB_COMPLETION
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_EDITING_FANCY_PROMPT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_NON_POSIX_CP
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_USE_SENDFILE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_COPYBUF_KB
	int
	default 4

config BUSYBOX_CONFIG_IOCTL_HEX2STR_ERROR
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_SEAMLESS_GZ
	bool
	default y

config BUSYBOX_CONFIG_GUNZIP
	bool
	default y

config BUSYBOX_CONFIG_ZCAT
	bool
	default y

config BUSYBOX_CONFIG_BUNZIP2
	bool
	default y

config BUSYBOX_CONFIG_BZCAT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_BZIP2_DECOMPRESS
	bool
	default y

config BUSYBOX_CONFIG_GZIP
	bool
	default y

config BUSYBOX_CONFIG_GZIP_FAST
	int
	default 0

config BUSYBOX_CONFIG_FEATURE_GZIP_DECOMPRESS
	bool
	default y

config BUSYBOX_CONFIG_TAR
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TAR_CREATE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TAR_FROM
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TAR_GNU_EXTENSIONS
	bool
	default y

config BUSYBOX_CONFIG_BASENAME
	bool
	default y

config BUSYBOX_CONFIG_CAT
	bool
	default y

config BUSYBOX_CONFIG_CHGRP
	bool
	default y

config BUSYBOX_CONFIG_CHMOD
	bool
	default y

config BUSYBOX_CONFIG_CHOWN
	bool
	default y

config BUSYBOX_CONFIG_CHROOT
	bool
	default y

config BUSYBOX_CONFIG_CP
	bool
	default y

config BUSYBOX_CONFIG_CUT
	bool
	default y

config BUSYBOX_CONFIG_DATE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_DATE_ISOFMT
	bool
	default y

config BUSYBOX_CONFIG_DD
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_DD_SIGNAL_HANDLING
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_DD_IBS_OBS
	bool
	default y

config BUSYBOX_CONFIG_DF
	bool
	default y

config BUSYBOX_CONFIG_DIRNAME
	bool
	default y

config BUSYBOX_CONFIG_DU
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_DU_DEFAULT_BLOCKSIZE_1K
	bool
	default y

config BUSYBOX_CONFIG_ECHO
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FANCY_ECHO
	bool
	default y

config BUSYBOX_CONFIG_ENV
	bool
	default y

config BUSYBOX_CONFIG_EXPR
	bool
	default y

config BUSYBOX_CONFIG_EXPR_MATH_SUPPORT_64
	bool
	default y

config BUSYBOX_CONFIG_FALSE
	bool
	default y

config BUSYBOX_CONFIG_FSYNC
	bool
	default y

config BUSYBOX_CONFIG_HEAD
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FANCY_HEAD
	bool
	default y

config BUSYBOX_CONFIG_ID
	bool
	default y

config BUSYBOX_CONFIG_LN
	bool
	default y

config BUSYBOX_CONFIG_LS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_FILETYPES
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_FOLLOWLINKS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_RECURSIVE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_WIDTH
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_SORTFILES
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_TIMESTAMPS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_USERNAME
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_COLOR
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LS_COLOR_IS_DEFAULT
	bool
	default y

config BUSYBOX_CONFIG_MD5SUM
	bool
	default y

config BUSYBOX_CONFIG_SHA256SUM
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_MD5_SHA1_SUM_CHECK
	bool
	default y

config BUSYBOX_CONFIG_MKDIR
	bool
	default y

config BUSYBOX_CONFIG_MKFIFO
	bool
	default y

config BUSYBOX_CONFIG_MKNOD
	bool
	default y

config BUSYBOX_CONFIG_MKTEMP
	bool
	default y

config BUSYBOX_CONFIG_MV
	bool
	default y

config BUSYBOX_CONFIG_NICE
	bool
	default y

config BUSYBOX_CONFIG_PRINTF
	bool
	default y

config BUSYBOX_CONFIG_PWD
	bool
	default y

config BUSYBOX_CONFIG_READLINK
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_READLINK_FOLLOW
	bool
	default y

config BUSYBOX_CONFIG_RM
	bool
	default y

config BUSYBOX_CONFIG_RMDIR
	bool
	default y

config BUSYBOX_CONFIG_SEQ
	bool
	default y

config BUSYBOX_CONFIG_SLEEP
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FANCY_SLEEP
	bool
	default y

config BUSYBOX_CONFIG_SORT
	bool
	default y

config BUSYBOX_CONFIG_SYNC
	bool
	default y

config BUSYBOX_CONFIG_TAIL
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FANCY_TAIL
	bool
	default y

config BUSYBOX_CONFIG_TEE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TEE_USE_BLOCK_IO
	bool
	default y

config BUSYBOX_CONFIG_TEST
	bool
	default y

config BUSYBOX_CONFIG_TEST1
	bool
	default y

config BUSYBOX_CONFIG_TEST2
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TEST_64
	bool
	default y

config BUSYBOX_CONFIG_TOUCH
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TOUCH_SUSV3
	bool
	default y

config BUSYBOX_CONFIG_TR
	bool
	default y

config BUSYBOX_CONFIG_TRUE
	bool
	default y

config BUSYBOX_CONFIG_UNAME
	bool
	default y

config BUSYBOX_CONFIG_UNAME_OSNAME
	string
	default "GNU/Linux"

config BUSYBOX_CONFIG_UNIQ
	bool
	default y

config BUSYBOX_CONFIG_WC
	bool
	default y

config BUSYBOX_CONFIG_YES
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_PRESERVE_HARDLINKS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_HUMAN_READABLE
	bool
	default y

config BUSYBOX_CONFIG_CLEAR
	bool
	default y

config BUSYBOX_CONFIG_RESET
	bool
	default y

config BUSYBOX_CONFIG_START_STOP_DAEMON
	bool
	default y

config BUSYBOX_CONFIG_WHICH
	bool
	default y

config BUSYBOX_CONFIG_AWK
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_AWK_LIBM
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_AWK_GNU_EXTENSIONS
	bool
	default y

config BUSYBOX_CONFIG_CMP
	bool
	default y

config BUSYBOX_CONFIG_DIFF
	bool
	default y

config BUSYBOX_CONFIG_SED
	bool
	default y

config BUSYBOX_CONFIG_VI
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_MAX_LEN
	int
	default 1024

config BUSYBOX_CONFIG_FEATURE_VI_COLON
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_YANKMARK
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_SEARCH
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_USE_SIGNALS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_DOT_CMD
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_READONLY
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_SETOPTS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_SET
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_WIN_RESIZE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_VI_ASK_TERMINAL
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_ALLOW_EXEC
	bool
	default y

config BUSYBOX_CONFIG_FIND
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_PRINT0
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_MTIME
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_PERM
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_TYPE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_XDEV
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_MAXDEPTH
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_NEWER
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_EXEC
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_USER
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_GROUP
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_NOT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_DEPTH
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_PAREN
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_SIZE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_PRUNE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_PATH
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FIND_REGEX
	bool
	default y

config BUSYBOX_CONFIG_GREP
	bool
	default y

config BUSYBOX_CONFIG_EGREP
	bool
	default y

config BUSYBOX_CONFIG_FGREP
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_GREP_CONTEXT
	bool
	default y

config BUSYBOX_CONFIG_XARGS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_XARGS_SUPPORT_CONFIRMATION
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_XARGS_SUPPORT_QUOTES
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_XARGS_SUPPORT_TERMOPT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_XARGS_SUPPORT_ZERO_TERM
	bool
	default y

config BUSYBOX_CONFIG_HALT
	bool
	default y

config BUSYBOX_CONFIG_POWEROFF
	bool
	default y

config BUSYBOX_CONFIG_REBOOT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_SHADOWPASSWDS
	bool
	default y

config BUSYBOX_CONFIG_ADDUSER
	bool
	default y

config BUSYBOX_CONFIG_LAST_ID
	int
	default 0

config BUSYBOX_CONFIG_FIRST_SYSTEM_ID
	int
	default 0

config BUSYBOX_CONFIG_LAST_SYSTEM_ID
	int
	default 0

config BUSYBOX_CONFIG_FEATURE_DEFAULT_PASSWD_ALGO
	string
	default "md5"

config BUSYBOX_CONFIG_LOGIN
	bool
	default y

config BUSYBOX_CONFIG_PASSWD
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_PASSWD_WEAK_CHECK
	bool
	default y

config BUSYBOX_CONFIG_DMESG
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_DMESG_PRETTY
	bool
	default y

config BUSYBOX_CONFIG_FLOCK
	bool
	default y

config BUSYBOX_CONFIG_HEXDUMP
	bool
	default y

config BUSYBOX_CONFIG_HWCLOCK
	bool
	default y

config BUSYBOX_CONFIG_MKSWAP
	bool
	default y

config BUSYBOX_CONFIG_MOUNT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_MOUNT_HELPERS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_MOUNT_CIFS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_MOUNT_FLAGS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_MOUNT_FSTAB
	bool
	default y

config BUSYBOX_CONFIG_PIVOT_ROOT
	bool
	default y

config BUSYBOX_CONFIG_SWITCH_ROOT
	bool
	default y

config BUSYBOX_CONFIG_UMOUNT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_UMOUNT_ALL
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_MOUNT_LOOP
	bool
	default y

config BUSYBOX_CONFIG_CROND
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_CROND_DIR
	string
	default "/etc"

config BUSYBOX_CONFIG_CRONTAB
	bool
	default y

config BUSYBOX_CONFIG_LESS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_LESS_MAXLINES
	int
	default 9999999

config BUSYBOX_CONFIG_LOCK
	bool
	default y

config BUSYBOX_CONFIG_STRINGS
	bool
	default y

config BUSYBOX_CONFIG_TIME
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_IPV6
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_PREFER_IPV4_ADDRESS
	bool
	default y

config BUSYBOX_CONFIG_VERBOSE_RESOLUTION_ERRORS
	bool
	default y

config BUSYBOX_CONFIG_BRCTL
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_BRCTL_FANCY
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_BRCTL_SHOW
	bool
	default y

config BUSYBOX_CONFIG_IFCONFIG
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_IFCONFIG_STATUS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_IFCONFIG_HW
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_IFCONFIG_BROADCAST_PLUS
	bool
	default y

config BUSYBOX_CONFIG_NC
	bool
	default y

config BUSYBOX_CONFIG_NETMSG
	bool
	default y

config BUSYBOX_CONFIG_NETSTAT
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_NETSTAT_WIDE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_NETSTAT_PRG
	bool
	default y

config BUSYBOX_CONFIG_NSLOOKUP_OPENWRT
	bool
	default y

config BUSYBOX_CONFIG_NTPD
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_NTPD_SERVER
	bool
	default y

config BUSYBOX_CONFIG_PING
	bool
	default y

config BUSYBOX_CONFIG_PING6
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_FANCY_PING
	bool
	default y

config BUSYBOX_CONFIG_ROUTE
	bool
	default y

config BUSYBOX_CONFIG_TELNETD
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TELNETD_STANDALONE
	bool
	default y

config BUSYBOX_CONFIG_TFTP
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TFTP_GET
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TFTP_PUT
	bool
	default y

config BUSYBOX_CONFIG_TRACEROUTE
	bool
	default y

config BUSYBOX_CONFIG_TRACEROUTE6
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TRACEROUTE_VERBOSE
	bool
	default y

config BUSYBOX_CONFIG_UDHCPC
	bool
	default y

config BUSYBOX_CONFIG_UDHCPC_DEFAULT_SCRIPT
	string
	default "/usr/share/udhcpc/default.script"

config BUSYBOX_CONFIG_UDHCP_DEBUG
	int
	default 0

config BUSYBOX_CONFIG_FEATURE_UDHCP_RFC3397
	bool
	default y

config BUSYBOX_CONFIG_UDHCPC_SLACK_FOR_BUGGY_SERVERS
	int
	default 80

config BUSYBOX_CONFIG_FREE
	bool
	default y

config BUSYBOX_CONFIG_KILL
	bool
	default y

config BUSYBOX_CONFIG_KILLALL
	bool
	default y

config BUSYBOX_CONFIG_PGREP
	bool
	default y

config BUSYBOX_CONFIG_PIDOF
	bool
	default y

config BUSYBOX_CONFIG_PS
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_PS_WIDE
	bool
	default y

config BUSYBOX_CONFIG_BB_SYSCTL
	bool
	default y

config BUSYBOX_CONFIG_TOP
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TOP_CPU_USAGE_PERCENTAGE
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_TOP_CPU_GLOBAL_PERCENTS
	bool
	default y

config BUSYBOX_CONFIG_UPTIME
	bool
	default y

config BUSYBOX_CONFIG_SH_IS_ASH
	bool
	default y

config BUSYBOX_CONFIG_BASH_IS_NONE
	bool
	default y

config BUSYBOX_CONFIG_ASH
	bool
	default y

config BUSYBOX_CONFIG_ASH_INTERNAL_GLOB
	bool
	default y

config BUSYBOX_CONFIG_ASH_BASH_COMPAT
	bool
	default y

config BUSYBOX_CONFIG_ASH_JOB_CONTROL
	bool
	default y

config BUSYBOX_CONFIG_ASH_ALIAS
	bool
	default y

config BUSYBOX_CONFIG_ASH_EXPAND_PRMT
	bool
	default y

config BUSYBOX_CONFIG_ASH_ECHO
	bool
	default y

config BUSYBOX_CONFIG_ASH_PRINTF
	bool
	default y

config BUSYBOX_CONFIG_ASH_TEST
	bool
	default y

config BUSYBOX_CONFIG_ASH_GETOPTS
	bool
	default y

config BUSYBOX_CONFIG_ASH_CMDCMD
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_SH_MATH
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_SH_MATH_64
	bool
	default y

config BUSYBOX_CONFIG_FEATURE_SH_NOFORK
	bool
	default y

config BUSYBOX_CONFIG_LOGGER
	bool
	default y

config PACKAGE_dnsmasq-full
	bool
	default y

config PACKAGE_dnsmasq_full_dhcp
	bool
	default y

config PACKAGE_dnsmasq_full_dhcpv6
	bool
	default y

config PACKAGE_dnsmasq_full_dnssec
	bool
	default y

config PACKAGE_dnsmasq_full_auth
	bool
	default y

config PACKAGE_dnsmasq_full_ipset
	bool
	default y

config PACKAGE_dnsmasq_full_conntrack
	bool
	default y

config PACKAGE_dnsmasq_full_noid
	bool
	default y

config PACKAGE_dropbear
	bool
	default y

config DROPBEAR_CURVE25519
	bool
	default y

config PACKAGE_firewall
	bool
	default y

config PACKAGE_fstools
	bool
	default y

config PACKAGE_fwtool
	bool
	default y

config PACKAGE_jsonfilter
	bool
	default y

config PACKAGE_libc
	bool
	default y

config PACKAGE_libgcc
	bool
	default y

config PACKAGE_libpthread
	bool
	default y

config PACKAGE_librt
	bool
	default y

config PACKAGE_logd
	bool
	default y

config PACKAGE_mtd
	bool
	default y

config PACKAGE_netifd
	bool
	default y

config PACKAGE_openwrt-keyring
	bool
	default y

config PACKAGE_opkg
	bool
	default y

config PACKAGE_procd
	bool
	default y

config PACKAGE_qos-scripts
	bool
	default y

config PACKAGE_resolveip
	bool
	default y

config PACKAGE_rpcd
	bool
	default y

config PACKAGE_ubox
	bool
	default y

config PACKAGE_ubus
	bool
	default y

config PACKAGE_ubusd
	bool
	default y

config PACKAGE_uci
	bool
	default y

config PACKAGE_usign
	bool
	default y

config PACKAGE_wireless-tools
	bool
	default y

config PACKAGE_kmod-hai-mt7603
	bool
	default y

config MT7603E_RLT_WIFI
	bool
	default y

config MT7603E_MT_WIFI_PATH
	string
	default "rlt_wifi"

config MT7603E_WSC_INCLUDED
	bool
	default y

config MT7603E_DOT11N_DRAFT3
	bool
	default y

config MT7603E_DOT11W_PMF_SUPPORT
	bool
	default y

config MT7603E_LLTD_SUPPORT
	bool
	default y

config MT7603E_IGMP_SNOOP_SUPPORT
	bool
	default y

config MT7603E_RATE_ADAPTION
	bool
	default y

config MT7603E_NEW_RATE_ADAPT_SUPPORT
	bool
	default y

config MT7603E_SMART_CARRIER_SENSE_SUPPORT
	bool
	default y

config MT7603E_RTMP_FLASH_SUPPORT
	bool
	default y

config MT7603E_LED_CONTROL_SUPPORT
	bool
	default y

config MT7603E_ATE_SUPPORT
	bool
	default y

config MT7603E_RT2860V2_AP_V24_DATA_STRUCTURE
	bool
	default y

config MT7603E_UAPSD
	bool
	default y

config MT7603E_EPA_ELNA
	bool
	default y

config MT7603E_PA_LNA
	string
	default "ePAeLNA"

config MT7603E_RTMP_PCI_SUPPORT
	bool
	default y

config MT7603E_WIFI_MODE_AP
	bool
	default y

config MT7603E_RLT_AP_SUPPORT
	bool
	default y

config MT7603E_MBSS_SUPPORT
	bool
	default y

config MT7603E_NEW_MBSSID_MODE
	bool
	default y

config MT7603E_ENHANCE_NEW_MBSSID_MODE
	bool
	default y

config MT7603E_APCLI_SUPPORT
	bool
	default y

config MT7603E_SECURITY_IMPROVEMENT_SUPPORT
	bool
	default y

config MT7603E_NEW_BW2040_COEXIST_SUPPORT
	bool
	default y

config MT7603E_RALINK_MT7603E
	bool
	default y

config MT7603E_MT_MAC
	bool
	default y

config PACKAGE_fcgiwrap
	bool
	default y

config HAI_NGINX_SSL
	bool
	default y

config HAI_NGINX_HTTP_CHARSET
	bool
	default y

config HAI_NGINX_HTTP_GZIP
	bool
	default y

config HAI_NGINX_HTTP_SPLIT_CLIENTS
	bool
	default y

config HAI_NGINX_HTTP_REFERER
	bool
	default y

config HAI_NGINX_HTTP_REWRITE
	bool
	default y

config HAI_NGINX_HTTP_PROXY
	bool
	default y

config HAI_NGINX_HTTP_FASTCGI
	bool
	default y

config HAI_NGINX_HTTP_BROWSER
	bool
	default y

config HAI_NGINX_HTTP_UPSTREAM_HASH
	bool
	default y

config HAI_NGINX_HTTP_UPSTREAM_IP_HASH
	bool
	default y

config HAI_NGINX_HTTP_UPSTREAM_KEEPALIVE
	bool
	default y

config HAI_NGINX_HTTP_V2
	bool
	default y

config HAI_NGINX_PCRE
	bool
	default y

config HAI_NGINX_LUA
	bool
	default y

config HAI_NGINX_HEADERS_MORE
	bool
	default y

config PACKAGE_hwinfo
	bool
	default y

config PACKAGE_libhwinfo
	bool
	default y

config PACKAGE_libhwinfo-lua
	bool
	default y

config PACKAGE_kmod-scsi-core
	bool
	default y

config PACKAGE_kmod-crypto-aead
	bool
	default y

config PACKAGE_kmod-crypto-crc32c
	bool
	default y

config PACKAGE_kmod-crypto-ecb
	bool
	default y

config PACKAGE_kmod-crypto-hash
	bool
	default y

config PACKAGE_kmod-crypto-manager
	bool
	default y

config PACKAGE_kmod-crypto-null
	bool
	default y

config PACKAGE_kmod-crypto-pcompress
	bool
	default y

config PACKAGE_kmod-crypto-sha1
	bool
	default y

config PACKAGE_kmod-fs-ext4
	bool
	default y

config PACKAGE_kmod-fs-msdos
	bool
	default y

config PACKAGE_kmod-fs-ntfs
	bool
	default y

config PACKAGE_kmod-fs-vfat
	bool
	default y

config PACKAGE_kmod-fuse
	bool
	default y

config PACKAGE_kmod-lib-crc-ccitt
	bool
	default y

config PACKAGE_kmod-lib-crc16
	bool
	default y

config PACKAGE_kmod-nls-base
	bool
	default y

config PACKAGE_kmod-nls-cp437
	bool
	default y

config PACKAGE_kmod-nls-iso8859-1
	bool
	default y

config PACKAGE_kmod-nls-utf8
	bool
	default y

config PACKAGE_kmod-ip6tables
	bool
	default y

config PACKAGE_kmod-ip6tables-extra
	bool
	default y

config PACKAGE_kmod-ipt-conntrack
	bool
	default y

config PACKAGE_kmod-ipt-conntrack-extra
	bool
	default y

config PACKAGE_kmod-ipt-core
	bool
	default y

config PACKAGE_kmod-ipt-ipopt
	bool
	default y

config PACKAGE_kmod-ipt-ipset
	bool
	default y

config PACKAGE_kmod-ipt-nat
	bool
	default y

config PACKAGE_kmod-ipt-nat-extra
	bool
	default y

config PACKAGE_kmod-ipt-nat6
	bool
	default y

config PACKAGE_kmod-ipt-offload
	bool
	default y

config PACKAGE_kmod-ipt-raw
	bool
	default y

config PACKAGE_kmod-nf-conntrack
	bool
	default y

config PACKAGE_kmod-nf-conntrack-netlink
	bool
	default y

config PACKAGE_kmod-nf-conntrack6
	bool
	default y

config PACKAGE_kmod-nf-flow
	bool
	default y

config PACKAGE_kmod-nf-ipt
	bool
	default y

config PACKAGE_kmod-nf-ipt6
	bool
	default y

config PACKAGE_kmod-nf-nat
	bool
	default y

config PACKAGE_kmod-nf-nat6
	bool
	default y

config PACKAGE_kmod-nf-reject
	bool
	default y

config PACKAGE_kmod-nf-reject6
	bool
	default y

config PACKAGE_kmod-nfnetlink
	bool
	default y

config PACKAGE_kmod-nft-core
	bool
	default y

config PACKAGE_kmod-nft-nat
	bool
	default y

config PACKAGE_kmod-nft-nat6
	bool
	default y

config PACKAGE_kmod-ifb
	bool
	default y

config PACKAGE_kmod-fast-classifier
	bool
	default y

config PACKAGE_kmod-l2tp
	bool
	default y

config PACKAGE_kmod-ppp
	bool
	default y

config PACKAGE_kmod-mppe
	bool
	default y

config PACKAGE_kmod-pppoe
	bool
	default y

config PACKAGE_kmod-pppox
	bool
	default y

config PACKAGE_kmod-proto-bridge
	bool
	default y

config PACKAGE_kmod-sched-connmark
	bool
	default y

config PACKAGE_kmod-sched-core
	bool
	default y

config PACKAGE_kmod-shortcut-fe
	bool
	default y

config PACKAGE_kmod-shortcut-fe-cm
	bool
	default y

config PACKAGE_kmod-slhc
	bool
	default y

config PACKAGE_kmod-udptunnel4
	bool
	default y

config PACKAGE_kmod-udptunnel6
	bool
	default y

config PACKAGE_kmod-mmc
	bool
	default y

config PACKAGE_kmod-usb-core
	bool
	default y

config PACKAGE_kmod-usb-ehci
	bool
	default y

config PACKAGE_kmod-usb-ledtrig-usbport
	bool
	default y

config PACKAGE_kmod-usb-ohci
	bool
	default y

config PACKAGE_kmod-usb-printer
	bool
	default y

config PACKAGE_kmod-usb-storage
	bool
	default y

config PACKAGE_kmod-usb-storage-extras
	bool
	default y

config PACKAGE_kmod-usb-storage-uas
	bool
	default y

config PACKAGE_kmod-usb-uhci
	bool
	default y

config PACKAGE_kmod-usb2
	bool
	default y

config PACKAGE_kmod-usb3
	bool
	default y

config PACKAGE_kmod-usbmon
	bool
	default y

config PACKAGE_kmod-kipstat
	bool
	default y

config PACKAGE_lua
	bool
	default y

config PACKAGE_lua-cjson
	bool
	default y

config PACKAGE_lua-mosquitto
	bool
	default y

config PACKAGE_lua-openssl
	bool
	default y

config PACKAGE_lua-penlight
	bool
	default y

config PACKAGE_luafilesystem
	bool
	default y

config PACKAGE_luasocket
	bool
	default y

config PACKAGE_luv
	bool
	default y

config PACKAGE_libip4tc
	bool
	default y

config PACKAGE_libip6tc
	bool
	default y

config PACKAGE_libxtables
	bool
	default y

config PACKAGE_libopenssl
	bool
	default y

config OPENSSL_WITH_EC
	bool
	default y

config OPENSSL_WITH_DEPRECATED
	bool
	default y

config OPENSSL_WITH_NPN
	bool
	default y

config OPENSSL_WITH_PSK
	bool
	default y

config OPENSSL_WITH_SRP
	bool
	default y

config PACKAGE_fcgi
	bool
	default y

config PACKAGE_libblobmsg-json
	bool
	default y

config PACKAGE_libcares
	bool
	default y

config PACKAGE_libconfig
	bool
	default y

config PACKAGE_libcurl
	bool
	default y

config LIBCURL_OPENSSL
	bool
	default y

config LIBCURL_FILE
	bool
	default y

config LIBCURL_FTP
	bool
	default y

config LIBCURL_HTTP
	bool
	default y

config LIBCURL_COOKIES
	bool
	default y

config LIBCURL_NO_SMB
	string
	default "!"

config LIBCURL_PROXY
	bool
	default y

config PACKAGE_libelf1
	bool
	default y

config PACKAGE_libev
	bool
	default y

config PACKAGE_libgmp
	bool
	default y

config PACKAGE_libjson-c
	bool
	default y

config PACKAGE_liblua
	bool
	default y

config PACKAGE_libmnl
	bool
	default y

config PACKAGE_libmosquitto-ssl
	bool
	default y

config PACKAGE_libnetfilter-conntrack
	bool
	default y

config PACKAGE_libnetfilter-cthelper
	bool
	default y

config PACKAGE_libnetfilter-cttimeout
	bool
	default y

config PACKAGE_libnetfilter-queue
	bool
	default y

config PACKAGE_libnettle
	bool
	default y

config PACKAGE_libnfnetlink
	bool
	default y

config PACKAGE_libnl-tiny
	bool
	default y

config PACKAGE_libpcre
	bool
	default y

config PACKAGE_libubox
	bool
	default y

config PACKAGE_libubox-lua
	bool
	default y

config PACKAGE_libubus
	bool
	default y

config PACKAGE_libubus-lua
	bool
	default y

config PACKAGE_libuci
	bool
	default y

config PACKAGE_libuclient
	bool
	default y

config PACKAGE_libuv
	bool
	default y

config PACKAGE_zlib
	bool
	default y

config PACKAGE_luci-base
	bool
	default y

config PACKAGE_luci-lib-ip
	bool
	default y

config PACKAGE_luci-lib-nixio
	bool
	default y

config PACKAGE_luci-lib-nixio_openssl
	bool
	default y

config POSTFIX_TLS
	bool
	default y

config POSTFIX_SASL
	bool
	default y

config POSTFIX_LDAP
	bool
	default y

config POSTFIX_CDB
	bool
	default y

config POSTFIX_SQLITE
	bool
	default y

config POSTFIX_PCRE
	bool
	default y

config PACKAGE_ated
	bool
	default y

config PACKAGE_btnd
	bool
	default y

config PACKAGE_eth_mac
	bool
	default y

config PACKAGE_ethstt
	bool
	default y

config PACKAGE_gpio
	bool
	default y

config PACKAGE_hwnat
	bool
	default y

config PACKAGE_mii_mgr
	bool
	default y

config PACKAGE_reg
	bool
	default y

config PACKAGE_switch
	bool
	default y

config PACKAGE_kmod-hw_nat
	bool
	default y

config PACKAGE_kmod-mtk-mmc
	bool
	default y

config PACKAGE_kmod-rdm
	bool
	default y

config PACKAGE_curl
	bool
	default y

config PACKAGE_conntrack
	bool
	default y

config PACKAGE_ip6tables
	bool
	default y

config PACKAGE_ip6tables-extra
	bool
	default y

config PACKAGE_ip6tables-mod-nat
	bool
	default y

config PACKAGE_iptables
	bool
	default y

config PACKAGE_iptables-mod-conntrack-extra
	bool
	default y

config PACKAGE_iptables-mod-ipopt
	bool
	default y

config PACKAGE_iptables-mod-nat-extra
	bool
	default y

config PACKAGE_miniupnpd
	bool
	default y

config PACKAGE_ip-full
	bool
	default y

config PACKAGE_tc
	bool
	default y

config PACKAGE_ipset
	bool
	default y

config PACKAGE_libipset
	bool
	default y

config PACKAGE_odhcp6c
	bool
	default y

config PACKAGE_odhcp6c_ext_cer_id
	int
	default 0

config PACKAGE_odhcpd-ipv6only
	bool
	default y

config PACKAGE_odhcpd_ipv6only_ext_cer_id
	int
	default 0

config PACKAGE_ppp
	bool
	default y

config PACKAGE_ppp-mod-pppoe
	bool
	default y

config PACKAGE_uclient-fetch
	bool
	default y

config PACKAGE_at
	bool
	default y

config PACKAGE_jshn
	bool
	default y

config PACKAGE_libjson-script
	bool
	default y

